package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 办理形式（窗口办理.窗口办理，网上办理.网上办理）	枚举类
*
* @author zxfei
*/
public enum HandleTypeEnum {
    窗口办理("窗口办理", "窗口办理"),
    网上办理("网上办理", "网上办理");
    private String value;
    private String desc;

    HandleTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HandleTypeEnum getByValue(String value) {
        for (HandleTypeEnum handleTypeEnum : HandleTypeEnum.values()) {
            if (handleTypeEnum.getValue() == value) {
                return handleTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HandleTypeEnum item : HandleTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}